List or filter groups Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SCIM 2 MCP server": {
  "url": "https://developer.adra.com/doc/adra-scim/mcp"
}
Close
GET /Groups

Returns a list of available groups, optionally filtered by query parameters

Query parameters

  • filter string

    Filter string (e.g. displayName eq "GroupName")

  • startIndex integer(int32)

    The 1-based index of the first result

    Minimum value is 1. Default value is 1.

  • count integer(int32)

    Maximum number of results to return

    Minimum value is 1.

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • schemas array[string]
    • totalResults integer(int32)
    • itemsPerPage integer(int32)
    • startIndex integer(int32) | null
    • Resources array[object] | null
      Hide Resources attributes Show Resources attributes object
      • meta object | null

        Additional properties are NOT allowed.

        Hide meta attribute Show meta attribute object | null
        • resourceType string | null
      • displayName string | null

        The display name of the group, typically in format 'Organization|Product|Role'

      • members array[object] | null
        Hide members attributes Show members attributes object
        • type string
        • value string

          The identifier of the member

      • id string | null
      • schemas array[string] | null
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 500 application/scim+json

    Internal Server Error

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type string | null
    • title string | null
    • status integer(int32) | null
    • detail string | null
    • instance string | null
GET /Groups
curl \
 --request GET 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/Groups' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 2,
  "itemsPerPage": 10,
  "startIndex": 1,
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ],
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "displayName": "Ortiz and Sons|Balancer|User",
      "meta": {
        "resourceType": "Group"
      }
    },
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ],
      "id": "b2c3d4e5-f6a1-7890-abcd-ef1234567890",
      "displayName": "Ortiz and Sons|TaskManager|User",
      "meta": {
        "resourceType": "Group"
      }
    }
  ]
}
Response examples (400)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (401)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (403)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (500)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}
Response examples (501)
{
  "type": "string",
  "title": "string",
  "status": 42,
  "detail": "string",
  "instance": "string"
}